#
# spec file for package unittest-cpp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           unittest-cpp
Version:        1.6.1
Release:        1.1
Summary:        A lightweight unit testing framework for C++
License:        MIT
Group:          Development/Libraries/C and C++
Url:            https://github.com/unittest-cpp
Source:         https://github.com/unittest-cpp/unittest-cpp/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM libdir.patch avvissu@yandex.by -- Use %%libdir
Patch0:        	unittest-cpp-1.6.1_libdir.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
UnitTest++ is a lightweight unit testing framework for C++. It was designed
to do test-driven development on a wide variety of platforms. Simplicity,
portability, speed, and small footprint are all very important aspects of
UnitTest++. UnitTest++ is mostly standard C++ and makes minimal use of
advanced library and language features, which means it should be easily
portable to just about any platform.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++

%description devel
A lightweight unit testing framework for C++.

This package contains header files and libraries needed to develop
application that use %{name}.

%prep
%setup -q
%patch0 -p1

sed -e's|@prefix@|%{_prefix}|g' \
    -e's|@exec_prefix@|${prefix}|g' \
    -e's|@libdir@|${exec_prefix}/%{_lib}|g' \
    -e's|@includedir@|${prefix}/include|g' \
    -e's|@PACKAGE_VERSION@|%{version}|g' \
    -i $(find -name \*.pc.in)

%build
%cmake
make %{?_smp_mflags} all

%install
%cmake_install

install -Dm0644 UnitTest++.pc.in %{buildroot}%{_libdir}/pkgconfig/UnitTest++.pc

%files devel
%defattr(-,root,root)
%doc AUTHORS LICENSE ChangeLog
%{_includedir}/UnitTest++/
%{_libdir}/cmake/UnitTest++/
%{_libdir}/libUnitTest++.a
%{_libdir}/pkgconfig/UnitTest++.pc

%changelog
* Fri Oct 21 2016 avvissu@yandex.by
- Update to 1.6.1:
  * see: /usr/share/doc/packages/unittest-cpp/ChangeLog
- Create a new spec file for building RPM
* Sun Dec 16 2012 joop.boonen@opensuse.org
- Build UnitTest++ 1.4
